Bug 70106 - cgiwrap port update
Summary: cgiwrap port update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-08-07 04:50 UTC by Jeremy Chadwick
Modified: 2004-08-17 06:29 UTC (History)
0 users

See Also:


Attachments
file.diff (5.59 KB, patch)
2004-08-07 04:50 UTC, Jeremy Chadwick
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Chadwick 2004-08-07 04:50:14 UTC
	Update to the cgiwrap port.  This adds a slew of things:

	1.  Uses WWWOWN and WWWGRP, which is the standard for www-oriented ports.
	2.  Adds --with-local-contact (CGIWRAP_CONTACT).
	3.  Changes tweaks to CGIWRAP_ALLOWFILE and CGIWRAP_DENYFILE.
	4.  Removal of WITHOUTCHECK; moved into multiple CGIWRAP_WITHOUT_* tweaks.
	5.  Adds --with-logging-file (CGIWRAP_LOGGING) for those who need it (me :) ).
	6.  Adds CGIWRAP_DEBUG, which adds support for the cgiwrapd/nph-cgiwrapd binaries.
	7.  Adds --without-check-owner (CGIWRAP_WITHOUT_CHECK_OWNER).
	8.  Adds --without-check-group (CGIWRAP_WITHOUT_CHECK_GROUP).
	9.  Adds --without-check-setuid (CGIWRAP_WITHOUT_CHECK_SETUID).
	10. Adds --without-check-setgid (CGIWRAP_WITHOUT_CHECK_SETGID).
	11. Adds --without-check-group-writable (CGIWRAP_WITHOUT_CHECK_GROUP_WRITABLE).
	12. Adds --without-check-world-writable (CGIWRAP_WITHOUT_CHECK_WORLD_WRITABLE).
	13. Runs pkg-message through ${SED} so that %%PREFIX%% gets expanded.
	14. Proper/secure permissions on the binaries (4550).  Note that we can't set this
	as 4510 or 4110; mod_mime_magic in Apache needs read access to the binary when
	being called (otherwise warnings appear in the httpd_error log; might as well be
	nice to Apache...).  Global-read/execute is a Bad Idea(tm).
	15. Minor cosmetical update to pkg-descr.

	The port maintainer should DEFINITELY review this.  If the maintainer isn't
	available, I can take over maintenance of this port.

Fix: Apply below patch to the ports/www/cgiwrap tree.

How-To-Repeat: 	n/a
Comment 1 Sergey Matveychuk freebsd_committer 2004-08-15 21:15:50 UTC
State Changed
From-To: open->feedback

Wait for maintainer approval
Comment 2 Sergey Matveychuk freebsd_committer 2004-08-15 21:15:56 UTC
Dear maintainer, please approve or disprove the PR.

---
Sem.
Comment 3 Josh Elsasser 2004-08-16 15:31:45 UTC
That looks great to me.  The submitter is welcome to maintain this
port himself if he would like.

 -jre
Comment 4 Sergey Matveychuk freebsd_committer 2004-08-16 18:06:41 UTC
Would you like to become a maintainer of the port?

-- 
Sem.
Comment 5 Jeremy Chadwick 2004-08-16 20:58:46 UTC
Absolutely -- works for me!

-- 
| Jeremy Chadwick                                 jdc at parodius.com |
| Parodius Networking                        http://www.parodius.com/ |
| UNIX Systems Administrator                   Mountain View, CA, USA |
| Making life hard for others since 1977.                             |

On Mon, Aug 16, 2004 at 09:06:41PM +0400, Sergey Matveychuk wrote:
> Would you like to become a maintainer of the port?
> 
> -- 
> Sem.
Comment 6 Sergey Matveychuk freebsd_committer 2004-08-17 06:29:23 UTC
State Changed
From-To: feedback->closed

Committed, thanks!